<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: src/core/thread/mle_constants.hpp Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../files.html"><span>File&#160;List</span></a></li>
      <li><a href="../../globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d9/dd3/mle__constants_8hpp_source.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">mle_constants.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../d9/dd3/mle__constants_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> *  Copyright (c) 2016, The OpenThread Authors.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *  All rights reserved.</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *  Redistribution and use in source and binary forms, with or without</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> *  modification, are permitted provided that the following conditions are met:</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *  1. Redistributions of source code must retain the above copyright</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     notice, this list of conditions and the following disclaimer.</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *  2. Redistributions in binary form must reproduce the above copyright</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> *     notice, this list of conditions and the following disclaimer in the</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> *     documentation and/or other materials provided with the distribution.</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> *  3. Neither the name of the copyright holder nor the</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *     names of its contributors may be used to endorse or promote products</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> *     derived from this software without specific prior written permission.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot;</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> *  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> *  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> *  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> *  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> *  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> *  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> *  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> *  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> *  POSSIBILITY OF SUCH DAMAGE.</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#ifndef MLE_CONSTANTS_HPP_</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#define MLE_CONSTANTS_HPP_</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">namespace </span><a class="code" href="../../d9/d00/namespaceThread.html">Thread</a> {</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="keyword">namespace </span>Mle {</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="keyword">enum</span></div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;{</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    kMaxChildren                = <a class="code" href="../../d7/d08/openthread-core-default-config_8h.html#a5dc50022ab822b9ecc96a20deb4ee18d">OPENTHREAD_CONFIG_MAX_CHILDREN</a>,</div><div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#ac37aa0658c99897c1c7eeb6460188a54af93b6d0776e8e9ba371e3cd84ecdc1f0">   48</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#ac37aa0658c99897c1c7eeb6460188a54af93b6d0776e8e9ba371e3cd84ecdc1f0">kMaxChildKeepAliveAttempts</a>  = 4,    </div><div class="line"><a name="l00049"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#ac37aa0658c99897c1c7eeb6460188a54a7154628bb4cc9047fe71adbb1e164fd3">   49</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#ac37aa0658c99897c1c7eeb6460188a54a7154628bb4cc9047fe71adbb1e164fd3">kFailedChildTransmissions</a>   = 4,    </div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;};</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="keyword">enum</span></div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;{</div><div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#ab038e2552c2f0bce0e142d3f64f16c45a12761a24a3a373f9ad230279c3a697fe">   58</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#ab038e2552c2f0bce0e142d3f64f16c45a12761a24a3a373f9ad230279c3a697fe">kVersion</a>                       = 2,     </div><div class="line"><a name="l00059"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#ab038e2552c2f0bce0e142d3f64f16c45a13496501bf156c89f47261cb44082951">   59</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#ab038e2552c2f0bce0e142d3f64f16c45a13496501bf156c89f47261cb44082951">kUdpPort</a>                       = 19788, </div><div class="line"><a name="l00060"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#ab038e2552c2f0bce0e142d3f64f16c45aea875cca5054263adf76a845fad016a7">   60</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#ab038e2552c2f0bce0e142d3f64f16c45aea875cca5054263adf76a845fad016a7">kParentRequestRouterTimeout</a>    = 1000,  </div><div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#ab038e2552c2f0bce0e142d3f64f16c45a0de26cd3b9ea6aeaf9b14124011330e7">   61</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#ab038e2552c2f0bce0e142d3f64f16c45a0de26cd3b9ea6aeaf9b14124011330e7">kParentRequestChildTimeout</a>     = 2000,  </div><div class="line"><a name="l00062"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#ab038e2552c2f0bce0e142d3f64f16c45a739a6bf12c1359f3bbb952e82ea489b4">   62</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#ab038e2552c2f0bce0e142d3f64f16c45a739a6bf12c1359f3bbb952e82ea489b4">kParentResponseMaxDelayRouters</a> = 500,   </div><div class="line"><a name="l00063"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#ab038e2552c2f0bce0e142d3f64f16c45a069e8316fe7291da3c783a33ac9750ab">   63</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#ab038e2552c2f0bce0e142d3f64f16c45a069e8316fe7291da3c783a33ac9750ab">kParentResponseMaxDelayAll</a>     = 1000,  </div><div class="line"><a name="l00064"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#ab038e2552c2f0bce0e142d3f64f16c45ac82c972c4d6200155f2d0a6bf21b47ef">   64</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#ab038e2552c2f0bce0e142d3f64f16c45ac82c972c4d6200155f2d0a6bf21b47ef">kMaxResponseDelay</a>              = 1000,  </div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;};</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="keyword">enum</span></div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;{</div><div class="line"><a name="l00069"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#a8f706bed426143cd8434d4f805b90e9fa74e26dbae33bcc35744a3e0cde1f5564">   69</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#a8f706bed426143cd8434d4f805b90e9fa74e26dbae33bcc35744a3e0cde1f5564">kMinChildId</a>                 = 1,     </div><div class="line"><a name="l00070"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#a8f706bed426143cd8434d4f805b90e9fa8e6d7ee7bc3bfec51fa361fe22251de0">   70</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#a8f706bed426143cd8434d4f805b90e9fa8e6d7ee7bc3bfec51fa361fe22251de0">kMaxChildId</a>                 = 511,   </div><div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#a8f706bed426143cd8434d4f805b90e9fa22e398ba830be5b997eac8f51411e718">   71</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#a8f706bed426143cd8434d4f805b90e9fa22e398ba830be5b997eac8f51411e718">kRouterIdOffset</a>             = 10,    </div><div class="line"><a name="l00072"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#a8f706bed426143cd8434d4f805b90e9fa869d38c930e5871e19b033d3d38278f6">   72</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#a8f706bed426143cd8434d4f805b90e9fa869d38c930e5871e19b033d3d38278f6">kRlocPrefixLength</a>           = 14,    </div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;};</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;<span class="keyword">enum</span></div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;{</div><div class="line"><a name="l00081"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489aecc6c91bedc75b7ae8d9fdbde755299c">   81</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489aecc6c91bedc75b7ae8d9fdbde755299c">kAdvertiseIntervalMin</a>       = 1,                </div><div class="line"><a name="l00082"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a751a76efecf5c19eb6d23ec3143ece2a">   82</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a751a76efecf5c19eb6d23ec3143ece2a">kAdvertiseIntervalMax</a>       = 32,               </div><div class="line"><a name="l00083"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a7fc18ebf540ca008d536921d9eb0f91a">   83</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a7fc18ebf540ca008d536921d9eb0f91a">kFailedRouterTransmissions</a>  = 4,                </div><div class="line"><a name="l00084"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a1ae4d8c36613d3944b8874bcf8f3e3ea">   84</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a1ae4d8c36613d3944b8874bcf8f3e3ea">kRouterIdReuseDelay</a>         = 100,              </div><div class="line"><a name="l00085"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a1b80d71769c3d638bfd236c5e1fd629a">   85</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a1b80d71769c3d638bfd236c5e1fd629a">kRouterIdSequencePeriod</a>     = 10,               </div><div class="line"><a name="l00086"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a2c5d878ab806287c1f40acd05adba8aa">   86</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a2c5d878ab806287c1f40acd05adba8aa">kMaxNeighborAge</a>             = 100,              </div><div class="line"><a name="l00087"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489ac6098268ee233927c83e0decd8cedec8">   87</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489ac6098268ee233927c83e0decd8cedec8">kMaxRouteCost</a>               = 16,               </div><div class="line"><a name="l00088"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a1fe8b460a7e0b570b11e234a74d02d2e">   88</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a1fe8b460a7e0b570b11e234a74d02d2e">kMaxRouterId</a>                = 62,               </div><div class="line"><a name="l00089"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489afd258f9833b61838dc962e7125d3768d">   89</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489afd258f9833b61838dc962e7125d3768d">kInvalidRouterId</a>            = <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a1fe8b460a7e0b570b11e234a74d02d2e">kMaxRouterId</a> + 1, </div><div class="line"><a name="l00090"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a2866744d0f8a8b355b11aef745d48870">   90</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a2866744d0f8a8b355b11aef745d48870">kMaxRouters</a>                 = 32,               </div><div class="line"><a name="l00091"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a8b27ee31483551c43e9aafafbad6cd8b">   91</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a8b27ee31483551c43e9aafafbad6cd8b">kMinDowngradeNeighbors</a>      = 7,                </div><div class="line"><a name="l00092"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489ad7a72f6bda571947360216ca9257c4b9">   92</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489ad7a72f6bda571947360216ca9257c4b9">kNetworkIdTimeout</a>           = 120,              </div><div class="line"><a name="l00093"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a3f1506c4fe171b6fe0cad222e57cecfd">   93</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a3f1506c4fe171b6fe0cad222e57cecfd">kParentRouteToLeaderTimeout</a> = 20,               </div><div class="line"><a name="l00094"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489ae16987ce1c7b14d666380e30e67efc97">   94</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489ae16987ce1c7b14d666380e30e67efc97">kRouterSelectionJitter</a>      = 120,              </div><div class="line"><a name="l00095"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a5398f0bd3c33f836f7d70775f9278455">   95</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a5398f0bd3c33f836f7d70775f9278455">kRouterDowngradeThreshold</a>   = 23,               </div><div class="line"><a name="l00096"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a85d976cab925fe3e52a5484e96a9bb36">   96</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a85d976cab925fe3e52a5484e96a9bb36">kRouterUpgradeThreshold</a>     = 16,               </div><div class="line"><a name="l00097"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a1b888db6340adc6e590337831de7f23c">   97</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a1b888db6340adc6e590337831de7f23c">kMaxLeaderToRouterTimeout</a>   = 90,               </div><div class="line"><a name="l00098"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489ae3ffa1cccfe57b083a7674dd8a9ca12b">   98</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489ae3ffa1cccfe57b083a7674dd8a9ca12b">kReedAdvertiseInterval</a>      = 570,              </div><div class="line"><a name="l00099"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489ab3c33493cd2fec7fa985e73a04a1bb78">   99</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489ab3c33493cd2fec7fa985e73a04a1bb78">kReedAdvertiseJitter</a>        = 60,               </div><div class="line"><a name="l00100"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a1c86e993154758429934e7c37e2e6e0c">  100</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a1c86e993154758429934e7c37e2e6e0c">kMleEndDeviceTimeout</a>        = 240,              </div><div class="line"><a name="l00101"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489acc08cf7c4fb9b12332d0900b16369f0a">  101</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489acc08cf7c4fb9b12332d0900b16369f0a">kLeaderWeight</a>               = 64,               </div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;};</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;<span class="keyword">enum</span></div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;{</div><div class="line"><a name="l00106"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#a9a9912acd88a0a1f10a7100ea111c965ac63bff88aaab44649b5621a737256712">  106</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#a9a9912acd88a0a1f10a7100ea111c965ac63bff88aaab44649b5621a737256712">kLqi3LinkCost</a>               = 1,    </div><div class="line"><a name="l00107"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#a9a9912acd88a0a1f10a7100ea111c965a2b315807d13c6b1619fc530f83cc7f27">  107</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#a9a9912acd88a0a1f10a7100ea111c965a2b315807d13c6b1619fc530f83cc7f27">kLqi2LinkCost</a>               = 2,    </div><div class="line"><a name="l00108"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#a9a9912acd88a0a1f10a7100ea111c965a82a0f6fe39df2c2af88768d7d97e5771">  108</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#a9a9912acd88a0a1f10a7100ea111c965a82a0f6fe39df2c2af88768d7d97e5771">kLqi1LinkCost</a>               = 4,    </div><div class="line"><a name="l00109"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#a9a9912acd88a0a1f10a7100ea111c965ad9e60a4de8175307a167e786654e27ac">  109</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#a9a9912acd88a0a1f10a7100ea111c965ad9e60a4de8175307a167e786654e27ac">kLqi0LinkCost</a>               = 16,   </div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;};</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;<span class="comment">// add for certification testing</span></div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;<span class="keyword">enum</span></div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;{</div><div class="line"><a name="l00115"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#ab915f54414683cc4c75d1a0c1eaba3d9aee9852dc483de72d358823d7559ccebf">  115</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#ab915f54414683cc4c75d1a0c1eaba3d9aee9852dc483de72d358823d7559ccebf">kMinAssignedLinkMargin3</a>     = 0x15, </div><div class="line"><a name="l00116"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#ab915f54414683cc4c75d1a0c1eaba3d9a1e4caa636662482aaeaa0e25fc2e1fbe">  116</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#ab915f54414683cc4c75d1a0c1eaba3d9a1e4caa636662482aaeaa0e25fc2e1fbe">kMinAssignedLinkMargin2</a>     = 0x0b, </div><div class="line"><a name="l00117"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#ab915f54414683cc4c75d1a0c1eaba3d9af66d916ecf2940e517e1bfd44e43acee">  117</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#ab915f54414683cc4c75d1a0c1eaba3d9af66d916ecf2940e517e1bfd44e43acee">kMinAssignedLinkMargin1</a>     = 0x03, </div><div class="line"><a name="l00118"></a><span class="lineno"><a class="line" href="../../d2/dd4/namespaceThread_1_1Mle.html#ab915f54414683cc4c75d1a0c1eaba3d9aec9fd8c921f484c7e495048919701c3c">  118</a></span>&#160;    <a class="code" href="../../d2/dd4/namespaceThread_1_1Mle.html#ab915f54414683cc4c75d1a0c1eaba3d9aec9fd8c921f484c7e495048919701c3c">kMinAssignedLinkMargin0</a>     = 0x00, </div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;};</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;}  <span class="comment">// namespace Mle</span></div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;}  <span class="comment">// namespace Thread</span></div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;<span class="preprocessor">#endif  // MLE_CONSTANTS_HPP_</span></div><div class="ttc" id="namespaceThread_1_1Mle_html_a8f706bed426143cd8434d4f805b90e9fa869d38c930e5871e19b033d3d38278f6"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#a8f706bed426143cd8434d4f805b90e9fa869d38c930e5871e19b033d3d38278f6">Thread::Mle::kRlocPrefixLength</a></div><div class="ttdoc">Prefix length of RLOC in bytes. </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:72</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_a1f47251fa36b57c412cc091444be9489a1ae4d8c36613d3944b8874bcf8f3e3ea"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a1ae4d8c36613d3944b8874bcf8f3e3ea">Thread::Mle::kRouterIdReuseDelay</a></div><div class="ttdoc">ID_REUSE_DELAY (seconds) </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:84</div></div>
<div class="ttc" id="openthread-core-default-config_8h_html_a5dc50022ab822b9ecc96a20deb4ee18d"><div class="ttname"><a href="../../d7/d08/openthread-core-default-config_8h.html#a5dc50022ab822b9ecc96a20deb4ee18d">OPENTHREAD_CONFIG_MAX_CHILDREN</a></div><div class="ttdeci">#define OPENTHREAD_CONFIG_MAX_CHILDREN</div><div class="ttdoc">The maximum number of children. </div><div class="ttdef"><b>Definition:</b> openthread-core-default-config.h:105</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_a9a9912acd88a0a1f10a7100ea111c965a82a0f6fe39df2c2af88768d7d97e5771"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#a9a9912acd88a0a1f10a7100ea111c965a82a0f6fe39df2c2af88768d7d97e5771">Thread::Mle::kLqi1LinkCost</a></div><div class="ttdoc">Link Cost for LQI 1. </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:108</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_ab038e2552c2f0bce0e142d3f64f16c45aea875cca5054263adf76a845fad016a7"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#ab038e2552c2f0bce0e142d3f64f16c45aea875cca5054263adf76a845fad016a7">Thread::Mle::kParentRequestRouterTimeout</a></div><div class="ttdoc">Router Request timeout. </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:60</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_a1f47251fa36b57c412cc091444be9489a85d976cab925fe3e52a5484e96a9bb36"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a85d976cab925fe3e52a5484e96a9bb36">Thread::Mle::kRouterUpgradeThreshold</a></div><div class="ttdoc">ROUTER_UPGRADE_THRESHOLD (routers) </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:96</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_ab038e2552c2f0bce0e142d3f64f16c45a069e8316fe7291da3c783a33ac9750ab"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#ab038e2552c2f0bce0e142d3f64f16c45a069e8316fe7291da3c783a33ac9750ab">Thread::Mle::kParentResponseMaxDelayAll</a></div><div class="ttdoc">Maximum delay for response for Parent Request sent to all devices. </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:63</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_ab038e2552c2f0bce0e142d3f64f16c45a13496501bf156c89f47261cb44082951"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#ab038e2552c2f0bce0e142d3f64f16c45a13496501bf156c89f47261cb44082951">Thread::Mle::kUdpPort</a></div><div class="ttdoc">MLE UDP Port. </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:59</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_ab915f54414683cc4c75d1a0c1eaba3d9af66d916ecf2940e517e1bfd44e43acee"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#ab915f54414683cc4c75d1a0c1eaba3d9af66d916ecf2940e517e1bfd44e43acee">Thread::Mle::kMinAssignedLinkMargin1</a></div><div class="ttdoc">minimal link margin for LQI 1 (3 - 9) </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:117</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_a1f47251fa36b57c412cc091444be9489a2866744d0f8a8b355b11aef745d48870"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a2866744d0f8a8b355b11aef745d48870">Thread::Mle::kMaxRouters</a></div><div class="ttdoc">MAX_ROUTERS. </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:90</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_a1f47251fa36b57c412cc091444be9489a1fe8b460a7e0b570b11e234a74d02d2e"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a1fe8b460a7e0b570b11e234a74d02d2e">Thread::Mle::kMaxRouterId</a></div><div class="ttdoc">MAX_ROUTER_ID. </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:88</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_a8f706bed426143cd8434d4f805b90e9fa22e398ba830be5b997eac8f51411e718"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#a8f706bed426143cd8434d4f805b90e9fa22e398ba830be5b997eac8f51411e718">Thread::Mle::kRouterIdOffset</a></div><div class="ttdoc">Bit offset of Router ID in RLOC16. </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:71</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_a1f47251fa36b57c412cc091444be9489ac6098268ee233927c83e0decd8cedec8"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489ac6098268ee233927c83e0decd8cedec8">Thread::Mle::kMaxRouteCost</a></div><div class="ttdoc">MAX_ROUTE_COST. </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:87</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_a8f706bed426143cd8434d4f805b90e9fa8e6d7ee7bc3bfec51fa361fe22251de0"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#a8f706bed426143cd8434d4f805b90e9fa8e6d7ee7bc3bfec51fa361fe22251de0">Thread::Mle::kMaxChildId</a></div><div class="ttdoc">Maximum Child ID. </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:70</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_ab915f54414683cc4c75d1a0c1eaba3d9aee9852dc483de72d358823d7559ccebf"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#ab915f54414683cc4c75d1a0c1eaba3d9aee9852dc483de72d358823d7559ccebf">Thread::Mle::kMinAssignedLinkMargin3</a></div><div class="ttdoc">minimal link margin for LQI 3 (21 - 255) </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:115</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_ab038e2552c2f0bce0e142d3f64f16c45a739a6bf12c1359f3bbb952e82ea489b4"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#ab038e2552c2f0bce0e142d3f64f16c45a739a6bf12c1359f3bbb952e82ea489b4">Thread::Mle::kParentResponseMaxDelayRouters</a></div><div class="ttdoc">Maximum delay for response for Parent Request sent to routers only. </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:62</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_a9a9912acd88a0a1f10a7100ea111c965ad9e60a4de8175307a167e786654e27ac"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#a9a9912acd88a0a1f10a7100ea111c965ad9e60a4de8175307a167e786654e27ac">Thread::Mle::kLqi0LinkCost</a></div><div class="ttdoc">Link Cost for LQI 0. </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:109</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_a1f47251fa36b57c412cc091444be9489a1b80d71769c3d638bfd236c5e1fd629a"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a1b80d71769c3d638bfd236c5e1fd629a">Thread::Mle::kRouterIdSequencePeriod</a></div><div class="ttdoc">ID_SEQUENCE_PERIOD (seconds) </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:85</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_a1f47251fa36b57c412cc091444be9489a2c5d878ab806287c1f40acd05adba8aa"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a2c5d878ab806287c1f40acd05adba8aa">Thread::Mle::kMaxNeighborAge</a></div><div class="ttdoc">MAX_NEIGHBOR_AGE (seconds) </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:86</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_a9a9912acd88a0a1f10a7100ea111c965a2b315807d13c6b1619fc530f83cc7f27"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#a9a9912acd88a0a1f10a7100ea111c965a2b315807d13c6b1619fc530f83cc7f27">Thread::Mle::kLqi2LinkCost</a></div><div class="ttdoc">Link Cost for LQI 2. </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:107</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_ab038e2552c2f0bce0e142d3f64f16c45a12761a24a3a373f9ad230279c3a697fe"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#ab038e2552c2f0bce0e142d3f64f16c45a12761a24a3a373f9ad230279c3a697fe">Thread::Mle::kVersion</a></div><div class="ttdoc">MLE Version. </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:58</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_ab038e2552c2f0bce0e142d3f64f16c45a0de26cd3b9ea6aeaf9b14124011330e7"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#ab038e2552c2f0bce0e142d3f64f16c45a0de26cd3b9ea6aeaf9b14124011330e7">Thread::Mle::kParentRequestChildTimeout</a></div><div class="ttdoc">End Device Request timeout. </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:61</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_a1f47251fa36b57c412cc091444be9489ae16987ce1c7b14d666380e30e67efc97"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489ae16987ce1c7b14d666380e30e67efc97">Thread::Mle::kRouterSelectionJitter</a></div><div class="ttdoc">ROUTER_SELECTION_JITTER (seconds) </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:94</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_a1f47251fa36b57c412cc091444be9489a5398f0bd3c33f836f7d70775f9278455"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a5398f0bd3c33f836f7d70775f9278455">Thread::Mle::kRouterDowngradeThreshold</a></div><div class="ttdoc">ROUTER_DOWNGRADE_THRESHOLD (routers) </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:95</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_a1f47251fa36b57c412cc091444be9489a1b888db6340adc6e590337831de7f23c"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a1b888db6340adc6e590337831de7f23c">Thread::Mle::kMaxLeaderToRouterTimeout</a></div><div class="ttdoc">INFINITE_COST_TIMEOUT (seconds) </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:97</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_a1f47251fa36b57c412cc091444be9489a7fc18ebf540ca008d536921d9eb0f91a"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a7fc18ebf540ca008d536921d9eb0f91a">Thread::Mle::kFailedRouterTransmissions</a></div><div class="ttdoc">FAILED_ROUTER_TRANSMISSIONS. </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:83</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_a1f47251fa36b57c412cc091444be9489a8b27ee31483551c43e9aafafbad6cd8b"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a8b27ee31483551c43e9aafafbad6cd8b">Thread::Mle::kMinDowngradeNeighbors</a></div><div class="ttdoc">MIN_DOWNGRADE_NEIGHBORS. </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:91</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_ab915f54414683cc4c75d1a0c1eaba3d9aec9fd8c921f484c7e495048919701c3c"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#ab915f54414683cc4c75d1a0c1eaba3d9aec9fd8c921f484c7e495048919701c3c">Thread::Mle::kMinAssignedLinkMargin0</a></div><div class="ttdoc">minimal link margin for LQI 0 (0 - 2) </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:118</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_a8f706bed426143cd8434d4f805b90e9fa74e26dbae33bcc35744a3e0cde1f5564"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#a8f706bed426143cd8434d4f805b90e9fa74e26dbae33bcc35744a3e0cde1f5564">Thread::Mle::kMinChildId</a></div><div class="ttdoc">Minimum Child ID. </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:69</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_a1f47251fa36b57c412cc091444be9489ab3c33493cd2fec7fa985e73a04a1bb78"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489ab3c33493cd2fec7fa985e73a04a1bb78">Thread::Mle::kReedAdvertiseJitter</a></div><div class="ttdoc">REED_ADVERTISEMENT_JITTER (seconds) </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:99</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_a1f47251fa36b57c412cc091444be9489a3f1506c4fe171b6fe0cad222e57cecfd"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a3f1506c4fe171b6fe0cad222e57cecfd">Thread::Mle::kParentRouteToLeaderTimeout</a></div><div class="ttdoc">PARENT_ROUTE_TO_LEADER_TIMEOUT (seconds) </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:93</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_a1f47251fa36b57c412cc091444be9489acc08cf7c4fb9b12332d0900b16369f0a"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489acc08cf7c4fb9b12332d0900b16369f0a">Thread::Mle::kLeaderWeight</a></div><div class="ttdoc">Default leader weight for the Thread Network Partition. </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:101</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_a1f47251fa36b57c412cc091444be9489a1c86e993154758429934e7c37e2e6e0c"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a1c86e993154758429934e7c37e2e6e0c">Thread::Mle::kMleEndDeviceTimeout</a></div><div class="ttdoc">MLE_END_DEVICE_TIMEOUT (seconds) </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:100</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_ac37aa0658c99897c1c7eeb6460188a54a7154628bb4cc9047fe71adbb1e164fd3"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#ac37aa0658c99897c1c7eeb6460188a54a7154628bb4cc9047fe71adbb1e164fd3">Thread::Mle::kFailedChildTransmissions</a></div><div class="ttdoc">FAILED_CHILD_TRANSMISSIONS. </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:49</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_a1f47251fa36b57c412cc091444be9489a751a76efecf5c19eb6d23ec3143ece2a"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489a751a76efecf5c19eb6d23ec3143ece2a">Thread::Mle::kAdvertiseIntervalMax</a></div><div class="ttdoc">ADVERTISEMENT_I_MAX (seconds) </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:82</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_ac37aa0658c99897c1c7eeb6460188a54af93b6d0776e8e9ba371e3cd84ecdc1f0"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#ac37aa0658c99897c1c7eeb6460188a54af93b6d0776e8e9ba371e3cd84ecdc1f0">Thread::Mle::kMaxChildKeepAliveAttempts</a></div><div class="ttdoc">Maximum keep alive attempts before attempting to reattach to a new Parent. </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:48</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_a1f47251fa36b57c412cc091444be9489aecc6c91bedc75b7ae8d9fdbde755299c"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489aecc6c91bedc75b7ae8d9fdbde755299c">Thread::Mle::kAdvertiseIntervalMin</a></div><div class="ttdoc">ADVERTISEMENT_I_MIN (seconds) </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:81</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_ab915f54414683cc4c75d1a0c1eaba3d9a1e4caa636662482aaeaa0e25fc2e1fbe"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#ab915f54414683cc4c75d1a0c1eaba3d9a1e4caa636662482aaeaa0e25fc2e1fbe">Thread::Mle::kMinAssignedLinkMargin2</a></div><div class="ttdoc">minimal link margin for LQI 2 (11 - 20) </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:116</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_ab038e2552c2f0bce0e142d3f64f16c45ac82c972c4d6200155f2d0a6bf21b47ef"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#ab038e2552c2f0bce0e142d3f64f16c45ac82c972c4d6200155f2d0a6bf21b47ef">Thread::Mle::kMaxResponseDelay</a></div><div class="ttdoc">Maximum delay before responding to a multicast request. </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:64</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_a9a9912acd88a0a1f10a7100ea111c965ac63bff88aaab44649b5621a737256712"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#a9a9912acd88a0a1f10a7100ea111c965ac63bff88aaab44649b5621a737256712">Thread::Mle::kLqi3LinkCost</a></div><div class="ttdoc">Link Cost for LQI 3. </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:106</div></div>
<div class="ttc" id="namespaceThread_html"><div class="ttname"><a href="../../d9/d00/namespaceThread.html">Thread</a></div><div class="ttdef"><b>Definition:</b> cli.cpp:61</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_a1f47251fa36b57c412cc091444be9489ad7a72f6bda571947360216ca9257c4b9"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489ad7a72f6bda571947360216ca9257c4b9">Thread::Mle::kNetworkIdTimeout</a></div><div class="ttdoc">NETWORK_ID_TIMEOUT (seconds) </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:92</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_a1f47251fa36b57c412cc091444be9489afd258f9833b61838dc962e7125d3768d"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489afd258f9833b61838dc962e7125d3768d">Thread::Mle::kInvalidRouterId</a></div><div class="ttdoc">Value indicating incorrect Router Id. </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:89</div></div>
<div class="ttc" id="namespaceThread_1_1Mle_html_a1f47251fa36b57c412cc091444be9489ae3ffa1cccfe57b083a7674dd8a9ca12b"><div class="ttname"><a href="../../d2/dd4/namespaceThread_1_1Mle.html#a1f47251fa36b57c412cc091444be9489ae3ffa1cccfe57b083a7674dd8a9ca12b">Thread::Mle::kReedAdvertiseInterval</a></div><div class="ttdoc">REED_ADVERTISEMENT_INTERVAL (seconds) </div><div class="ttdef"><b>Definition:</b> mle_constants.hpp:98</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="../../dir_aebb8dcc11953d78e620bbef0b9e2183.html">core</a></li><li class="navelem"><a class="el" href="../../dir_fd71accbf528c1576ca21e7ec5716833.html">thread</a></li><li class="navelem"><a class="el" href="../../d9/dd3/mle__constants_8hpp.html">mle_constants.hpp</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:34 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
